Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85596 - No default repository
Summary: No default repository
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: eCos
Classification: Retired
Component: ConfigTool
Version: 2.0 beta 1
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: John Dallaway
QA Contact: John Dallaway
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-04 20:43 UTC by John Dallaway
Modified: 2007-03-27 04:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-25 10:19:17 UTC


Attachments (Terms of Use)

Description John Dallaway 2003-03-04 20:43:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
When the configtool is invoked for the first time it prompts for the path to an eCos repository. It should attempt to guess the location relative to itself (using `pwd` and argv[0]).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Invoke the configtool for the first time following a clean install.
    

Actual Results:  The repository dialog box appears.

Expected Results:  The configtool should attempt to infer the repository location relative to its own location.

Additional info:

eCos Configuration Tool 2.12.net (eCos 2.0b1)

Comment 1 John Dallaway 2003-03-25 10:19:17 UTC
I have added a test for the presence of a repository at ../../packages 
relative to the configtool binary location in the absence of any other clues. 


Note You need to log in before you can comment on or make changes to this bug.